import React from 'react';
import { Timeline } from '../components/ui/timeline';
import { OptimizedImage } from '../components/OptimizedImage';
import { useLanguage } from '../contexts/LanguageContext';

export default function About() {
  const { t } = useLanguage();

  const timelineData = [
    {
      title: "2013",
      content: (
        <div>
          <p className="text-gray-700 text-xs md:text-sm font-normal mb-8">
            {t('about.2013')}
          </p>
          <div className="grid grid-cols-2 gap-4">
            <OptimizedImage
              src="/galeria/djathi/WhatsApp Image 2025-03-12 at 3.04.59 PM.jpeg"
              alt={t('about.images.start')}
              className="rounded-lg h-20 md:h-44 lg:h-60 w-full shadow-lg"
              objectFit="cover"
            />
            <OptimizedImage
              src="/galeria/djathi/WhatsApp Image 2025-03-12 at 3.04.59 PM (2).jpeg"
              alt={t('about.images.firstProducts')}
              className="rounded-lg h-20 md:h-44 lg:h-60 w-full shadow-lg"
              objectFit="cover"
            />
          </div>
        </div>
      ),
    },
    {
      title: "2014",
      content: (
        <div>
          <p className="text-gray-700 text-xs md:text-sm font-normal mb-8">
            {t('about.2014')}
          </p>
          <div className="grid grid-cols-2 gap-4">
            <OptimizedImage
              src="/galeria/vegusto/WhatsApp Image 2025-03-15 at 3.34.15 PM (1).jpeg"
              alt={t('about.images.vegustoMix')}
              className="rounded-lg h-20 md:h-44 lg:h-60 w-full shadow-lg"
              objectFit="cover"
            />
            <OptimizedImage
              src="/galeria/vegusto/WhatsApp Image 2025-03-15 at 3.34.15 PM (2).jpeg"
              alt={t('about.images.spiceProduction')}
              className="rounded-lg h-20 md:h-44 lg:h-60 w-full shadow-lg"
              objectFit="cover"
            />
          </div>
        </div>
      ),
    },
    {
      title: "2015",
      content: (
        <div>
          <p className="text-gray-700 text-xs md:text-sm font-normal mb-8">
            {t('about.2015')}
          </p>
          <div className="grid grid-cols-2 gap-4">
            <OptimizedImage
              src="/galeria/djathi/WhatsApp Image 2025-03-15 at 3.34.15 PM.jpeg"
              alt={t('about.images.cheeseProduction')}
              className="rounded-lg h-20 md:h-44 lg:h-60 w-full shadow-lg"
              objectFit="cover"
            />
            <OptimizedImage
              src="/galeria/djathi/WhatsApp Image 2025-03-15 at 3.34.15 PM (4).jpeg"
              alt={t('about.images.modernTechnology')}
              className="rounded-lg h-20 md:h-44 lg:h-60 w-full shadow-lg"
              objectFit="cover"
            />
          </div>
        </div>
      ),
    },
    {
      title: "2018",
      content: (
        <div>
          <p className="text-gray-700 text-xs md:text-sm font-normal mb-8">
            {t('about.2018')}
          </p>
          <div className="grid grid-cols-2 gap-4">
            <OptimizedImage
              src="/galeria/orizi/jeshil/WhatsApp Image 2025-03-12 at 3.04.59 PM (1).jpeg"
              alt={t('about.images.packagingLine')}
              className="rounded-lg h-20 md:h-44 lg:h-60 w-full shadow-lg"
              objectFit="cover"
            />
            <OptimizedImage
              src="/galeria/orizi/jeshil/WhatsApp Image 2025-03-15 at 3.34.15 PM (5).jpeg"
              alt={t('about.images.packagedProducts')}
              className="rounded-lg h-20 md:h-44 lg:h-60 w-full shadow-lg"
              objectFit="cover"
            />
          </div>
        </div>
      ),
    },
    {
      title: "2019",
      content: (
        <div>
          <p className="text-gray-700 text-xs md:text-sm font-normal mb-8">
            {t('about.2019')}
          </p>
          <div className="grid grid-cols-2 gap-4">
            <OptimizedImage
              src="/galeria/tableta/pule 60/WhatsApp Image 2025-03-15 at 3.34.15 PM (6).jpeg"
              alt={t('about.images.cookingTablets')}
              className="rounded-lg h-20 md:h-44 lg:h-60 w-full shadow-lg"
              objectFit="cover"
            />
            <OptimizedImage
              src="/galeria/tableta/vici 60/WhatsApp Image 2025-03-15 at 3.34.15 PM (8).jpeg"
              alt={t('about.images.tabletProduction')}
              className="rounded-lg h-20 md:h-44 lg:h-60 w-full shadow-lg"
              objectFit="cover"
            />
          </div>
        </div>
      ),
    },
    {
      title: t('about.today'),
      content: (
        <div>
          <p className="text-gray-700 text-xs md:text-sm font-normal mb-8">
            {t('about.present')}
          </p>
          <div className="grid grid-cols-2 gap-4">
            <OptimizedImage
              src="/galeria/WhatsApp Image 2025-03-12 at 3.04.59 PM (4).jpeg"
              alt={t('about.images.futureVision')}
              className="rounded-lg h-20 md:h-44 lg:h-60 w-full shadow-lg"
              objectFit="cover"
            />
            <OptimizedImage
              src="/galeria/WhatsApp Image 2025-03-12 at 3.05.00 PM (2).jpeg"
              alt={t('about.images.internationalMarket')}
              className="rounded-lg h-20 md:h-44 lg:h-60 w-full shadow-lg"
              objectFit="cover"
            />
          </div>
        </div>
      ),
    },
  ];

  return (
    <div className="min-h-screen">
      <Timeline data={timelineData} />
    </div>
  );
}